package com.huiju.estateagents.sample.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.sample.entity.TaContact;

import java.util.List;

/**
 * <p>
 * 联系人表  服务类
 * </p>
 *
 * @author fxf
 * @since 2020-03-18
 */
public interface ITaContactService extends IService<TaContact> {
    IPage<TaContact> taContactInfoBySampleId(String id, Integer pageNum, Integer pageSize);

    /**
     * 批量删除
     *
     * @param taContactList
     * @param userId
     * @return
     */
    ResponseBean batchDelete(List<TaContact> taContactList, Integer userId);
}
